Package twisted :: Package protocols :: Package jabber :: Module client |
[frames | no frames]

## Module twisted.protocols.jabber.client

Classes
`BasicAuthenticator` | Authenticates an XmlStream against a Jabber server as a Client
`IQ` | Wrapper for a Info/Query packet

Function Summary
| `basicClientFactory(jid, secret)`

Variable Summary
`XPathQuery` | `DigestAuthQry` = `<twisted.xish.xpath.XPathQuery instance ...`
`XPathQuery` | `PlaintextAuthQry` = `<twisted.xish.xpath.XPathQuery instan...`

Variable Details

    ### DigestAuthQry Type: `XPathQuery` Value:
        <twisted.xish.xpath.XPathQuery instance at 0x8b88534>

    ### PlaintextAuthQry Type: `XPathQuery` Value:
        <twisted.xish.xpath.XPathQuery instance at 0x8b2bf7c>

Generated by Epydoc 2.0 on Sat Oct 25 00:54:51 2003 | http://epydoc.sf.net